libzypp: zyppng::ProvideFileSpec::Impl Class Reference

libzypp 17.38.11

zyppng::ProvideFileSpec::Impl Class Reference
Inheritance diagram for zyppng::ProvideFileSpec::Impl:

## Public Member Functions
| Impl ()
Public Member Functions inherited from zyppng::ProvideSpecBasePrivate
| ProvideSpecBasePrivate ()
| ProvideSpecBasePrivate (const ProvideSpecBasePrivate &)=default
| ProvideSpecBasePrivate (ProvideSpecBasePrivate &&)=delete
ProvideSpecBasePrivate & | operator= (const ProvideSpecBasePrivate &)=delete
ProvideSpecBasePrivate & | operator= (ProvideSpecBasePrivate &&)=delete
virtual | ~ProvideSpecBasePrivate ()

## Static Public Member Functions
static zypp::shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
zypp::Pathname | _destFilenameHint
zypp::Pathname | _mediaSpecFile
bool | _checkExistsOnly = false
bool | _optional = false
zypp::ByteCount | _downloadSize
zypp::CheckSum | _checksum
zypp::ByteCount | _openSize
zypp::CheckSum | _openChecksum
zypp::ByteCount | _headerSize
zypp::CheckSum | _headerChecksum
zypp::Pathname | _deltafile
bool | _mirrorsAllowed = true
Public Attributes inherited from zyppng::ProvideSpecBasePrivate
HeaderValueMap | _customHeaders

## Private Member Functions
Impl * | clone () const

## Friends
ProvideFileSpec::Impl * | zypp::rwcowClone (const ProvideFileSpec::Impl *rhs)

## Detailed Description

Definition at line 60 of file providespec.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zyppng::ProvideFileSpec::Impl::Impl | ( |  | ) |
| inline

Definition at line 63 of file providespec.cc.

## Member Function Documentation

## ◆ nullimpl()

zypp::shared_ptr< Impl > zyppng::ProvideFileSpec::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 86 of file providespec.cc.

## ◆ clone()

Impl * zyppng::ProvideFileSpec::Impl::clone | ( |  | ) | const
| inlineprivate

Definition at line 91 of file providespec.cc.

## Friends And Related Symbol Documentation

## ◆ zypp::rwcowClone

ProvideFileSpec::Impl * zypp::rwcowClone | ( | const ProvideFileSpec::Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _destFilenameHint

zypp::Pathname zyppng::ProvideFileSpec::Impl::_destFilenameHint

Definition at line 66 of file providespec.cc.

## ◆ _mediaSpecFile

zypp::Pathname zyppng::ProvideFileSpec::Impl::_mediaSpecFile

Definition at line 67 of file providespec.cc.

## ◆ _checkExistsOnly

bool zyppng::ProvideFileSpec::Impl::_checkExistsOnly = false

Definition at line 68 of file providespec.cc.

## ◆ _optional

bool zyppng::ProvideFileSpec::Impl::_optional = false

Definition at line 70 of file providespec.cc.

## ◆ _downloadSize

zypp::ByteCount zyppng::ProvideFileSpec::Impl::_downloadSize

Definition at line 71 of file providespec.cc.

## ◆ _checksum

zypp::CheckSum zyppng::ProvideFileSpec::Impl::_checksum

Definition at line 72 of file providespec.cc.

## ◆ _openSize

zypp::ByteCount zyppng::ProvideFileSpec::Impl::_openSize

Definition at line 74 of file providespec.cc.

## ◆ _openChecksum

zypp::CheckSum zyppng::ProvideFileSpec::Impl::_openChecksum

Definition at line 75 of file providespec.cc.

## ◆ _headerSize

zypp::ByteCount zyppng::ProvideFileSpec::Impl::_headerSize

Definition at line 77 of file providespec.cc.

## ◆ _headerChecksum

zypp::CheckSum zyppng::ProvideFileSpec::Impl::_headerChecksum

Definition at line 78 of file providespec.cc.

## ◆ _deltafile

zypp::Pathname zyppng::ProvideFileSpec::Impl::_deltafile

Definition at line 80 of file providespec.cc.

## ◆ _mirrorsAllowed

bool zyppng::ProvideFileSpec::Impl::_mirrorsAllowed = true

Definition at line 82 of file providespec.cc.

The documentation for this class was generated from the following file:

- zypp-media/ng/providespec.cc